org.eclipse.jgit.transport

## Enum ReceiveCommand.Result

- java.lang.Object
- - java.lang.Enum<ReceiveCommand.Result>
  - - org.eclipse.jgit.transport.ReceiveCommand.Result

All Implemented Interfaces:
  Serializable, Comparable<ReceiveCommand.Result>

Enclosing class:
  ReceiveCommand

    public static enum ReceiveCommand.Result
    extends Enum<ReceiveCommand.Result>

Result of the update command.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LOCK_FAILURE` The ref could not be locked and updated atomically; try again.
`NOT_ATTEMPTED` The command has not yet been attempted by the server.
`OK` The change was completed successfully.
`REJECTED_CURRENT_BRANCH` The update affects `HEAD` and cannot be permitted.
`REJECTED_MISSING_OBJECT` One or more objects aren't in the repository.
`REJECTED_NOCREATE` The server is configured to deny creation of this ref.
`REJECTED_NODELETE` The server is configured to deny deletion of this ref.
`REJECTED_NONFASTFORWARD` The update is a non-fast-forward update and isn't permitted.
`REJECTED_OTHER_REASON` Other failure; see `ReceiveCommand.getMessage()`.

### Method Summary

Methods
`static ReceiveCommand.Result` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReceiveCommand.Result[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_ATTEMPTED

    public static final ReceiveCommand.Result NOT_ATTEMPTED

The command has not yet been attempted by the server.

#### REJECTED_NOCREATE

    public static final ReceiveCommand.Result REJECTED_NOCREATE

The server is configured to deny creation of this ref.

#### REJECTED_NODELETE

    public static final ReceiveCommand.Result REJECTED_NODELETE

The server is configured to deny deletion of this ref.

#### REJECTED_NONFASTFORWARD

    public static final ReceiveCommand.Result REJECTED_NONFASTFORWARD

The update is a non-fast-forward update and isn't permitted.

#### REJECTED_CURRENT_BRANCH

    public static final ReceiveCommand.Result REJECTED_CURRENT_BRANCH

The update affects `HEAD` and cannot be permitted.

#### REJECTED_MISSING_OBJECT

    public static final ReceiveCommand.Result REJECTED_MISSING_OBJECT

One or more objects aren't in the repository.

This is severe indication of either repository corruption on the server side, or a bug in the client wherein the client did not supply all required objects during the pack transfer.

#### REJECTED_OTHER_REASON

    public static final ReceiveCommand.Result REJECTED_OTHER_REASON

Other failure; see `ReceiveCommand.getMessage()`.

#### LOCK_FAILURE

    public static final ReceiveCommand.Result LOCK_FAILURE

The ref could not be locked and updated atomically; try again.

#### OK

    public static final ReceiveCommand.Result OK

The change was completed successfully.

### Method Detail

#### values

    public static ReceiveCommand.Result[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ReceiveCommand.Result c : ReceiveCommand.Result.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ReceiveCommand.Result valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null